public class Main {

  public static void main(String[] args) {

    EnergySource src = EnergySource.create();

    Thread monitor = new Thread(new Monitor(src));

    monitor.setDaemon(true);
    monitor.start();

    Thread[] consumers = new Thread[10];

    for (int i = 0; i < consumers.length; i++) {
      consumers[i] = new Thread(new Consumer(i, src));
      consumers[i].start();
    }

    for (int i = 0; i < consumers.length; i++) {
      try {
        consumers[i].join();
      } catch (Exception ex) {
      }
    }

    src.stopEnergySource();
    src.shutdown();

  }

}
